#include "int_test.h"
#include "CameraParking_GeneralWrapper.h"
#include "camera_prk/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("Camera", "parking_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "camera parking sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some camera data...";

	GeneralWrapper gw(mainLog);

	while(1)
	{
		gw._CamPrk2Visualization_Provide.Publish();
       	gw._CamPrk2CamPrkPerception_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
		// printf("test\n");
	}
}



